Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class ContentMarker

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject
          org.pdfclown.documents.contents.objects.Operation
              org.pdfclown.documents.contents.objects.ContentMarker

All Implemented Interfaces:
  IResourceReference<PropertyList>

Direct Known Subclasses:
  BeginMarkedContent, MarkedContentPoint

    @PDF(value=PDF12)
    public abstract class ContentMarker

extends Operation
implements IResourceReference<PropertyList>

Abstract content marker [PDF:1.6:10.5].

Since:
  0.1.0
Version:
  0.1.1, 11/01/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary

Fields inherited from class org.pdfclown.documents.contents.objects.Operation
`operands, operator`

Constructor Summary
`protected` | `ContentMarker(PdfName tag)`
`protected` | `ContentMarker(PdfName tag, PdfDirectObject properties)`
`protected` | `ContentMarker(String operator, List<PdfDirectObject> operands)`

Method Summary
`PdfName` | `getName()` Gets the resource name.
`Object` | `getProperties()` Gets the private information meaningful to the program (application or plugin extension) creating the marked content.
`PropertyList` | `getProperties(IContentContext context)` Gets the private information meaningful to the program (application or plugin extension) creating the marked content.
`protected abstract String` | `getPropertyListOperator()`
`PropertyList` | `getResource(IContentContext context)` Gets the referenced resource.
`protected abstract String` | `getSimpleOperator()`
`PdfName` | `getTag()` Gets the marker indicating the role or significance of the marked content.
`void` | `setName(PdfName value)`
`void` | `setProperties(Object value)`
`void` | `setTag(PdfName value)`

Methods inherited from class org.pdfclown.documents.contents.objects.Operation
`get, getOperands, getOperator, toString, writeTo`

Methods inherited from class org.pdfclown.documents.contents.objects.ContentObject
`scan`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContentMarker

    protected ContentMarker(PdfName tag)

### ContentMarker

    protected ContentMarker(PdfName tag,
                            PdfDirectObject properties)

### ContentMarker

    protected ContentMarker(String operator,
                            List<PdfDirectObject> operands)

Method Detail

### getProperties

    public Object getProperties()

  Gets the private information meaningful to the program (application or plugin extension) creating the marked content. It can be either an inline `PropertyList` or the `name` of an external PropertyList resource.

  See Also:
    `PropertyListResources`, `getProperties(IContentContext)`

### getProperties

    public PropertyList getProperties(IContentContext context)

  Gets the private information meaningful to the program (application or plugin extension) creating the marked content.

  Parameters:
    `context` - Content context.

### getTag

    public PdfName getTag()

  Gets the marker indicating the role or significance of the marked content.

### setProperties

    public void setProperties(Object value)

  See Also:
    `getProperties()`

### setTag

    public void setTag(PdfName value)

  See Also:
    `getTag()`

### getName

    public PdfName getName()

  Description copied from interface: `IResourceReference`
  Gets the resource name.

  Specified by:
    `getName` in interface `IResourceReference<PropertyList>`
  See Also:
    `IResourceReference.getResource(IContentContext)`, `Resources`

### getResource

    public PropertyList getResource(IContentContext context)

  Description copied from interface: `IResourceReference`
  Gets the referenced resource.

  Whether a `resource name` is available or not, it can be respectively either shared or private.

  Specified by:
    `getResource` in interface `IResourceReference<PropertyList>`
  Parameters:
    `context` - Content context.

### setName

    public void setName(PdfName value)

  Specified by:
    `setName` in interface `IResourceReference<PropertyList>`
  See Also:
    `IResourceReference.getName()`

### getPropertyListOperator

    protected abstract String getPropertyListOperator()

### getSimpleOperator

    protected abstract String getSimpleOperator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.